public class BballPlayer extends Athlete
{
    private int fieldGoals;
    private int threes;
    private int totalPoints;
    private int assists;
    private int rebounds;
    
    public BballPlayer(String first, String last, String phone, char gender, double ht, int wt, 
                            boolean forms, String sp,
                            int fg, int tp, int asts, int rebs)
    {
        super(first, last, phone, gender, ht, wt, forms, sp);
        fieldGoals = fg;
        threes = tp;
        totalPoints = fg*2 + tp*3;
        assists = asts;
        rebounds = rebs;
    }
    
    public String getNameStats()
    {
        return getName() + ": " + fieldGoals + " field goals " + threes + " three pointers = " +
            totalPoints + " points, " + assists + " assists, " + rebounds + " rebounds";
    }
    
    public String toString()
    {
        return super.toString() + "; has " + totalPoints + " points, " + assists + " assists, " + rebounds + " rebounds";
    }
}