public class VballPlayer extends Athlete
{
    private int assists;
    private int digs;
    private int kills;
    
    public VballPlayer(String first, String last, String phone, char gender, double ht, int wt, 
                       boolean forms, String sp,
                       int asts, int dgs, int kls)
    {
        super(first, last, phone, gender, ht, wt, forms, sp);
        assists = asts;
        digs = dgs;
        kills = kls;
    }
    
    public String getNameStats()
    {
        return getName() + ": " + assists + " assists, " + digs + " digs, " + kills + " kills";
    }
    
    public String toString()
    {
        return super.toString() + "; has " + assists + " assists, " + digs + " digs, " + kills + " kills";
    }
    
    public static void main(String[] args)
    {
        VballPlayer v = new VballPlayer(
           "Mark", "S", "21431231",'M',71,225,false,"volleyball",1,1,1);
        //System.out.println(v instanceof Object);  // returns true
        System.out.println(v.getNameStats());
        Person p = new VballPlayer(
           "Kristin", "S", "21431231",'F',63,125,false,"volleyball",1,1,1);
        System.out.println(p.getName());
    }
}