public class Athlete extends Person
{
    private boolean medFormsIn;
    private String sport;
    
    public Athlete(String first, String last, String phone, char gender, double ht, int wt, 
                   boolean forms, String sp)
    {
        // if you are calling the super constructor it has to be the first statement!
        super(first, last, phone, gender, ht, wt);
        // if you don't call the super constructor, Java will implicitly call super()
        // so the superclass had better have a default constructor...
        medFormsIn = forms;
        sport = sp;
    }
    
    public String getSport()
    {
        return sport;
    }
    
    public boolean getForms()
    {
        return medFormsIn;
    }
    
    public void setForms(boolean formsIn)
    {
        medFormsIn = formsIn;
    }
    
    public String getNameSport()
    {
        return getName() + " " + sport;
    }
    
    public String toString()
    {
        return super.toString() + 
            "\n\tplays " + sport + " and forms are " + (!medFormsIn?"not ":"") + "in";
    }
    
    public static void main(String[] args)
    {
        Athlete a = new Athlete("Matt","Stehlik","412-777-1111",'M',70,150,true,"volleyball");
        System.out.println(a);
        System.out.println(a.getNameSport());
        System.out.println(a.getName());
    }
}
